For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Application object
          • GET/applications
          • POST/applications
          • GET/applications/{id}
          • POST/applications/{id}/change-stage
          • GET/applications/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsApplications

/applications

POST
/ats/v1/applications
POST
/api/ats/v1/applications
$curl -X POST https://api.merge.dev/api/ats/v1/applications \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {},
> "remote_user_id": "string"
>}'
201Created
1{
2 "model": {
3 "id": "92e8a369-fffe-430d-b93a-f7e8a16563f1",
4 "remote_id": "98796",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "candidate": "2872ba14-4084-492b-be96-e5eee6fc33ef",
8 "job": "52bf9b5e-0beb-4f6f-8a72-cd4dca7ca633",
9 "applied_at": "2021-10-15T00:00:00Z",
10 "rejected_at": "2021-11-15T00:00:00Z",
11 "offers": [
12 "e9b5c11d-c588-468e-8567-cd6992e42b62"
13 ],
14 "source": "Campus recruiting event",
15 "credited_to": "58166795-8d68-4b30-9bfb-bfd402479484",
16 "screening_question_answers": [
17 {
18 "question": "0238cbc6-6040-430a-848e-aaiehfhdbadf4ae",
19 "answer": "5+ years experience"
20 },
21 {
22 "question": "59982bf6-7c54-4ff8-ab60-ced0bb644b84",
23 "answer": "New york city"
24 }
25 ],
26 "current_stage": "d578dfdc-7b0a-4ab6-a2b0-4b40f20eb9ea",
27 "reject_reason": "59b25f2b-da02-40f5-9656-9fa0db555784",
28 "remote_was_deleted": true,
29 "field_mappings": {
30 "organization_defined_targets": {
31 "custom_key": "custom_value"
32 },
33 "linked_account_defined_targets": {
34 "custom_key": "custom_value"
35 }
36 },
37 "remote_data": [
38 {
39 "path": "/candidacies",
40 "data": null
41 }
42 ]
43 },
44 "warnings": [
45 {
46 "title": "Unrecognized Field",
47 "detail": "An unrecognized field, age, was passed in with request data.",
48 "problem_type": "UNRECOGNIZED_FIELD",
49 "source": {
50 "pointer": "/age"
51 },
52 "block_merge_link": true,
53 "raw_error": "string",
54 "error_code": 1
55 }
56 ],
57 "errors": [
58 {
59 "title": "Missing Required Field",
60 "detail": "custom_fields is a required field on model.",
61 "problem_type": "MISSING_REQUIRED_FIELD",
62 "source": {
63 "pointer": "/model/custom_fields"
64 },
65 "block_merge_link": true,
66 "raw_error": "string",
67 "error_code": 1
68 }
69 ],
70 "logs": [
71 {
72 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
73 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
74 "log_summary": {
75 "url": "www.exampleintegration.com/api/v1/exampleapi",
76 "method": "POST",
77 "status_code": 200
78 }
79 }
80 ]
81}
Creates an `Application` object with the given values. For certain integrations, but not all, our API detects duplicate candidates and will associate applications with existing records in the third-party. New candidates are created and automatically linked to the application. See our [Help Center article](https://help.merge.dev/en/articles/10012366-updates-to-post-applications-oct-2024) for detailed support per integration. {/* BEGIN_ATS_APPLICATION_CREATE_SUPPORTED_FIELDS */}{/* END_ATS_APPLICATION_CREATE_SUPPORTED_FIELDS */}

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/applications

Next

/applications/{id}

Built with

Creates an Application object with the given values. For certain integrations, but not all, our API detects duplicate candidates and will associate applications with existing records in the third-party. New candidates are created and automatically linked to the application.

See our Help Center article for detailed support per integration.

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Application Object is used to represent a candidate’s journey through a particular Job’s recruiting process. If a Candidate applies for multiple Jobs, there will be a separate Application for each Job if the third-party integration allows it.

Usage Example

Fetch from the LIST Applications endpoint and filter by ID to show all applications.

remote_user_idstringRequired

Response

modelobject

Description

The Application Object is used to represent a candidate’s journey through a particular Job’s recruiting process. If a Candidate applies for multiple Jobs, there will be a separate Application for each Job if the third-party integration allows it.

Usage Example

Fetch from the LIST Applications endpoint and filter by ID to show all applications.

warningslist of objects
errorslist of objects
logslist of objects